Productsup
CDE APIApi referenceStates

List states

Integrators can only list their own states. A state is holding progress of background process.

Sign in to run requests against the CDE API.
GET
/states

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Query Parameters

triggered_by?string

filter by user who triggered the background process

status?string

Filter state by current status (pending,done,failed)

from?integer

starting item

limit?integer

items per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/states"
{
  "data": [
    {
      "id": "85a796d5-995a-48da-82a9-135fc336c3b3",
      "status": "pending",
      "name": "quaerat",
      "owner": "019e16f4-c59d-7ee5-aba3-cbd1839f4c43",
      "created": "2026-05-11T14:13:20+02:00",
      "config": {
        "name": "state 3"
      },
      "data": []
    },
    {
      "id": "b1b243eb-0a2a-4590-81ac-f54ce016fe19",
      "status": "done",
      "name": "quas",
      "owner": "019e16f4-c59d-7ee5-aba3-cbd1839f4c43",
      "created": "2026-05-11T14:13:20+02:00",
      "config": {
        "name": "state 4"
      },
      "data": []
    }
  ],
  "metadata": {
    "from": 0,
    "limit": 100,
    "count": 2,
    "total": 2,
    "next": null
  },
  "message": "successful operation",
  "resource": "state"
}
{
  "message": "Invalid connector user identifier.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?